import { MarkType } from 'ak-editor-prosemirror';
export class MonoMarkType extends MarkType {
    constructor(name, rank, schema) {
        if (name !== 'mono') {
            throw new Error("MonoMarkType must be named 'mono'.");
        }
        super(name, rank, schema);
    }
    get isCode() {
        return true;
    }
    get matchDOMTag() {
        return {
            code: null,
            tt: null
        };
    }
    get matchDOMStyle() {
        return {
            'font-family': (value) => value === 'monospace' ? null : false,
            'white-space': (value) => value === 'pre' ? null : false
        };
    }
    toDOM() {
        return ["span", { style: 'font-family: monospace; white-space: pre-wrap;' }];
    }
}
export function isMonoMark(mark) {
    return mark.type instanceof MonoMarkType;
}
//# sourceMappingURL=mono.js.map