import { MarkType } from 'ak-editor-prosemirror';
export class StrikeMarkType extends MarkType {
    constructor(name, rank, schema) {
        if (name !== 'strike') {
            throw new Error("StrikeMarkType must be named 'strike'.");
        }
        super(name, rank, schema);
    }
    get matchDOMTag() {
        return {
            del: null,
            s: null,
            strike: null
        };
    }
    get matchDOMStyle() {
        return {
            'text-decoration': (value) => value === 'line-through' ? null : false,
        };
    }
    toDOM() { return ['s']; }
}
export function isStrikeMark(mark) {
    return mark.type instanceof StrikeMarkType;
}
//# sourceMappingURL=strike.js.map