import { Attribute, MarkType } from 'ak-editor-prosemirror';
export class SubSupMarkType extends MarkType {
    constructor(name, rank, schema) {
        if (name !== 'subsup') {
            throw new Error("SubSupMarkType must be named 'subsup'.");
        }
        super(name, rank, schema);
    }
    create(attrs) {
        return super.create(attrs);
    }
    get attrs() {
        return {
            type: new Attribute(),
        };
    }
    get matchDOMTag() {
        return {
            sub: { type: 'sub' },
            sup: { type: 'sup' }
        };
    }
    toDOM(mark) {
        return [mark.attrs.type];
    }
}
export function isSubSupMark(mark) {
    return mark.type instanceof SubSupMarkType;
}
//# sourceMappingURL=subsup.js.map