import { MarkType } from 'ak-editor-prosemirror';
export class UnderlineMarkType extends MarkType {
    constructor(name, rank, schema) {
        if (name !== 'u') {
            throw new Error("UnderlineMarkType must be named 'u'.");
        }
        super(name, rank, schema);
    }
    create() {
        return super.create();
    }
    get matchDOMTag() {
        return {
            u: null
        };
    }
    get matchDOMStyle() {
        return {
            "text-decoration": (value) => {
                if (value === "underline") {
                    return null;
                }
            }
        };
    }
    toDOM() {
        return ["u"];
    }
}
export function isUnderlineMark(mark) {
    return mark.type instanceof UnderlineMarkType;
}
//# sourceMappingURL=underline.js.map