import { Attribute, Block } from 'ak-editor-prosemirror';
export class CodeBlockNodeType extends Block {
    constructor(name, schema) {
        super(name, schema);
        if (name !== 'code_block') {
            throw new Error("CodeBlockNodeType must be named 'code_block'.");
        }
    }
    get attrs() {
        return {
            params: new Attribute({ default: null })
        };
    }
    get isCode() {
        return true;
    }
    get matchDOMTag() {
        return {
            pre: [null, { preserveWhitespace: true }]
        };
    }
    toDOM() {
        return ['pre', 0];
    }
}
export function isCodeBlockNode(node) {
    return node.type instanceof CodeBlockNodeType;
}
//# sourceMappingURL=code-block.js.map