import { Inline, Attribute } from 'ak-editor-prosemirror';
export class EmojiNodeType extends Inline {
    constructor(name, schema) {
        super(name, schema);
        if (name !== 'emoji') {
            throw new Error("EmojiNodeType must be named 'emoji'.");
        }
    }
    get attrs() {
        return {
            id: new Attribute({ default: '' }),
        };
    }
    get matchDOMTag() {
        return {
            'span[emoji-id]': (dom) => {
                return {
                    id: dom.getAttribute('emoji-id')
                };
            }
        };
    }
}
//# sourceMappingURL=emoji.js.map