import { Attribute, Inline } from 'ak-editor-prosemirror';
export class ImageNodeType extends Inline {
    constructor(name, schema) {
        super(name, schema);
        if (name !== 'image') {
            throw new Error("ImageNodeType must be named 'image'.");
        }
    }
    get attrs() {
        return {
            src: new Attribute(),
        };
    }
    get draggable() {
        return true;
    }
    get matchDOMTag() {
        return {
            'img[src]': (elem) => ({
                src: elem.getAttribute('src')
            })
        };
    }
    toDOM(node) {
        return ['img', node.attrs];
    }
}
export function isImageNode(node) {
    return node.type instanceof ImageNodeType;
}
//# sourceMappingURL=image.js.map