import { Inline, Attribute } from 'ak-editor-prosemirror';
export class MentionNodeType extends Inline {
    constructor(name, schema) {
        super(name, schema);
        if (name !== 'mention') {
            throw new Error("MentionNodeType must be named 'mention'.");
        }
    }
    get attrs() {
        return {
            id: new Attribute({ default: '' }),
            displayName: new Attribute({ default: '' })
        };
    }
    get matchDOMTag() {
        return {
            'span[mention-id]': (dom) => {
                return {
                    id: dom.getAttribute('mention-id'),
                    displayName: dom.textContent
                };
            }
        };
    }
    toDOM(node) {
        let attrs = {
            'class': 'editor-entity-mention',
            'mention-id': node.attrs.id,
            'contenteditable': 'false',
        };
        return ['span', attrs, node.attrs.displayName];
    }
}
//# sourceMappingURL=mention.js.map