"use strict";
var tslib_1 = require("tslib");
var ak_editor_prosemirror_1 = require("ak-editor-prosemirror");
var MonoMarkType = (function (_super) {
    tslib_1.__extends(MonoMarkType, _super);
    function MonoMarkType(name, rank, schema) {
        var _this;
        if (name !== 'mono') {
            throw new Error("MonoMarkType must be named 'mono'.");
        }
        _this = _super.call(this, name, rank, schema) || this;
        return _this;
    }
    Object.defineProperty(MonoMarkType.prototype, "isCode", {
        get: function () {
            return true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MonoMarkType.prototype, "matchDOMTag", {
        get: function () {
            return {
                code: null,
                tt: null
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MonoMarkType.prototype, "matchDOMStyle", {
        get: function () {
            return {
                'font-family': function (value) { return value === 'monospace' ? null : false; },
                'white-space': function (value) { return value === 'pre' ? null : false; }
            };
        },
        enumerable: true,
        configurable: true
    });
    MonoMarkType.prototype.toDOM = function () {
        return ["span", { style: 'font-family: monospace; white-space: pre-wrap;' }];
    };
    return MonoMarkType;
}(ak_editor_prosemirror_1.MarkType));
exports.MonoMarkType = MonoMarkType;
function isMonoMark(mark) {
    return mark.type instanceof MonoMarkType;
}
exports.isMonoMark = isMonoMark;
//# sourceMappingURL=mono.js.map