"use strict";
var tslib_1 = require("tslib");
var ak_editor_prosemirror_1 = require("ak-editor-prosemirror");
var CodeBlockNodeType = (function (_super) {
    tslib_1.__extends(CodeBlockNodeType, _super);
    function CodeBlockNodeType(name, schema) {
        var _this = _super.call(this, name, schema) || this;
        if (name !== 'code_block') {
            throw new Error("CodeBlockNodeType must be named 'code_block'.");
        }
        return _this;
    }
    Object.defineProperty(CodeBlockNodeType.prototype, "attrs", {
        get: function () {
            return {
                params: new ak_editor_prosemirror_1.Attribute({ default: null })
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CodeBlockNodeType.prototype, "isCode", {
        get: function () {
            return true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CodeBlockNodeType.prototype, "matchDOMTag", {
        get: function () {
            return {
                pre: [null, { preserveWhitespace: true }]
            };
        },
        enumerable: true,
        configurable: true
    });
    CodeBlockNodeType.prototype.toDOM = function () {
        return ['pre', 0];
    };
    return CodeBlockNodeType;
}(ak_editor_prosemirror_1.Block));
exports.CodeBlockNodeType = CodeBlockNodeType;
function isCodeBlockNode(node) {
    return node.type instanceof CodeBlockNodeType;
}
exports.isCodeBlockNode = isCodeBlockNode;
//# sourceMappingURL=code-block.js.map