"use strict";
var tslib_1 = require("tslib");
var ak_editor_prosemirror_1 = require("ak-editor-prosemirror");
var ImageNodeType = (function (_super) {
    tslib_1.__extends(ImageNodeType, _super);
    function ImageNodeType(name, schema) {
        var _this = _super.call(this, name, schema) || this;
        if (name !== 'image') {
            throw new Error("ImageNodeType must be named 'image'.");
        }
        return _this;
    }
    Object.defineProperty(ImageNodeType.prototype, "attrs", {
        get: function () {
            return {
                src: new ak_editor_prosemirror_1.Attribute(),
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImageNodeType.prototype, "draggable", {
        get: function () {
            return true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImageNodeType.prototype, "matchDOMTag", {
        get: function () {
            return {
                'img[src]': function (elem) { return ({
                    src: elem.getAttribute('src')
                }); }
            };
        },
        enumerable: true,
        configurable: true
    });
    ImageNodeType.prototype.toDOM = function (node) {
        return ['img', node.attrs];
    };
    return ImageNodeType;
}(ak_editor_prosemirror_1.Inline));
exports.ImageNodeType = ImageNodeType;
function isImageNode(node) {
    return node.type instanceof ImageNodeType;
}
exports.isImageNode = isImageNode;
//# sourceMappingURL=image.js.map