"use strict";
var tslib_1 = require("tslib");
var ak_editor_prosemirror_1 = require("ak-editor-prosemirror");
var MentionNodeType = (function (_super) {
    tslib_1.__extends(MentionNodeType, _super);
    function MentionNodeType(name, schema) {
        var _this = _super.call(this, name, schema) || this;
        if (name !== 'mention') {
            throw new Error("MentionNodeType must be named 'mention'.");
        }
        return _this;
    }
    Object.defineProperty(MentionNodeType.prototype, "attrs", {
        get: function () {
            return {
                id: new ak_editor_prosemirror_1.Attribute({ default: '' }),
                displayName: new ak_editor_prosemirror_1.Attribute({ default: '' })
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MentionNodeType.prototype, "matchDOMTag", {
        get: function () {
            return {
                'span[mention-id]': function (dom) {
                    return {
                        id: dom.getAttribute('mention-id'),
                        displayName: dom.textContent
                    };
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    MentionNodeType.prototype.toDOM = function (node) {
        var attrs = {
            'class': 'editor-entity-mention',
            'mention-id': node.attrs.id,
            'contenteditable': 'false',
        };
        return ['span', attrs, node.attrs.displayName];
    };
    return MentionNodeType;
}(ak_editor_prosemirror_1.Inline));
exports.MentionNodeType = MentionNodeType;
//# sourceMappingURL=mention.js.map