import { Attribute, Mark, MarkType, Schema } from 'ak-editor-prosemirror';
export declare type TypeAttr = 'sub' | 'sup';
export declare class SubSupMarkType extends MarkType {
    constructor(name: string, rank: number, schema: Schema);
    create(attrs: {
        type: TypeAttr;
    }): Mark;
    readonly attrs: {
        type: Attribute;
    };
    readonly matchDOMTag: {
        [tag: string]: {
            type: TypeAttr;
        };
    };
    toDOM(mark: SubSupMark): TypeAttr[];
}
export interface SubSupMark extends Mark {
    type: SubSupMarkType;
    attrs: {
        type: TypeAttr;
    };
}
export declare function isSubSupMark(mark: Mark): mark is SubSupMark;
