import { Inline, Node, Schema } from 'ak-editor-prosemirror';
export interface MentionAttributes {
    id: any;
    displayName: any;
}
export interface ParseSpec {
    [index: string]: (dom: Element) => MentionAttributes;
}
export interface DOMAttributes {
    [propName: string]: string;
}
export declare class MentionNodeType extends Inline {
    constructor(name: string, schema: Schema);
    readonly attrs: MentionAttributes;
    readonly matchDOMTag: ParseSpec;
    toDOM(node: MentionNode): [string, DOMAttributes];
}
export interface MentionNode extends Node {
    type: MentionNodeType;
    attrs: {
        id: string;
        displayName: string;
    };
}
